import React, { Component } from 'react';
import { Form, Input, Modal } from 'antd';

@Form.create()
export default class RechargeModalForm extends Component {
  /**
   * 点击确定充值
  */
  handleModalOk = () => {
    const { form, onOk, item } = this.props;
    const { validateFields, getFieldsValue } = form;

    validateFields((errors) => {
      if (errors) return;
      const data = { ...getFieldsValue() };
      data.merchantId = item.id;
      onOk(data);
    });
  }

  render() {
    const { item, form, ...modalProps } = this.props;
    const { getFieldDecorator } = form;

    const modalOpts = {
      ...modalProps,
      onOk: this.handleModalOk,
    };

    const formItemLayout = {
      labelCol: { span: 7 },
      wrapperCol: { span: 15 },
    };

    return (
      <Modal {...modalOpts}>
        <Form layout="horizontal">
          <Form.Item label="账户余额：" {...formItemLayout}>
            <span style={{ color: 'red' }}>{`${item.balance} 元`}</span>
          </Form.Item>
          <Form.Item label="充值金额：" {...formItemLayout}>
            {getFieldDecorator('quantity', {
                rules: [{ required: true, type: 'string', message: '请输入正确的金额!' }],
                initalValue: '',
            })(<Input suffix="¥" placeholder="请输入充值金额" style={{ width: '100%' }} />)}
          </Form.Item>
          <Form.Item label="备注：" {...formItemLayout}>
            {getFieldDecorator('note', {
            })(<Input placeholder="请输入" style={{ width: '100%' }} />)}
          </Form.Item>
        </Form>
      </Modal>
    );
  }
}
