import React, { PureComponent } from 'react';
import SelectModal from '../../../components/SelectModal';
import { Codes } from '../../../utils/config';

export default class TerminalSelectModal extends PureComponent {

  render() {
    const {
      modalVisible,
      onCancel,
      onOk,
      onSearch,
      ...fsTableOpts
    } = this.props;

    const modalProps = {
      title: '选择终端',
      maskClosable: false,
      visible: modalVisible,
      onCancel,
      onOk,
    };

    const searchProps = {
      searchField: 'code',
      searchKeyWord: '',
      searchSize: 'default',
      searchSelect: true,
      searchSelectOptions: [{
        value: 'code', name: '终端编号', mode: 'input',
      }],
      searchSelectProps: {
        defaultValue: 'code',
      },
      onSearch: (value) => {
        onSearch(value);
      },
    };

    const fsTableProps = {
      fsTableColumns: [{
        title: '终端编号',
        dataIndex: 'code',
        key: 1,
        width: '25%',
      },{
        title: '终端名称',
        dataIndex: 'name',
        key: 2,
        width: '15%',
      },{
        title: '校区名称',
        dataIndex: 'campusName',
        key: 3,
        width: '30%',
      },{
        title: '渠道名称',
        dataIndex: 'merchantName',
        key: 4,
        width: '15%',
      }],
      ...fsTableOpts,
    }

    return (
      <SelectModal
        mode="single"
        { ...searchProps }
        { ...fsTableProps }
        { ...modalProps }
      />
    );
  }
}
