import react, { Component } from 'react';
import PropTypes from 'prop-types';
import { Row, Col, Button, Icon } from 'antd';
import DataSearch from '../../../components/DataSearch';

export default class TerminalSearch extends Component {
  static propTypes = {
    onSearch: PropTypes.func,
    onAdd: PropTypes.func,
    field: PropTypes.string,
    keyword: PropTypes.string,
  };

  render() {
    const { field, keyword, onSearch, onAdd } = this.props;
    const searchGroupProps = {
      field,
      keyword,
      size: 'default',
      select: true,
      selectOptions: [{
        value: 'code', name: '终端编号', type: 'input',
      }],
      selectProps: {
        defaultValue: field || 'code',
      },
      onSearch: (value) => {
        onSearch(value);
      },
    };

    return (
      <Row gutter={24}>
        <Col lg={10} md={12} sm={16} xs={24} style={{ marginBottom: 16 }}>
          <DataSearch { ...searchGroupProps } />
        </Col>
        <Col lg={{ offset: 7, span: 7 }} md={12} sm={8} xs={24} style={{ marginBottom: 16, textAlign: 'right' }}>
          <Button type="primary" onClick={onAdd}><Icon type="plus-circle" />添加终端</Button>
        </Col>
      </Row>
    );
  }
}
