import { stringify } from 'qs';
import request from '../utils/request';
import { terminals, terminal, unbind } from '../utils/api';

export async function query(params) {
  return request(`${terminals}?${stringify(params)}`);
}

export async function create(params) {
  const options = {
    method: 'POST',
    body: JSON.stringify(params),
  };
  return request(`${terminal}`, options);
}

export async function update(params) {
  const options = {
    method: 'PUT',
    body: JSON.stringify(params),
  };
  return request(`${terminal}`, options);
}

export async function remove(id) {
  const options = { method: 'DELETE' };
  return request(`${terminal}/${id}`, options);
}

export async function unbunding({id}) {
  const options = { method: 'DELETE' };
  return request(`${unbind}/${id}`, options);
}
