import { stringify } from 'qs';
import request from '../utils/request';
import { whiteUsers, whiteUser } from '../utils/api';

export async function query(params) {
  return request(`${whiteUsers}?${stringify(params)}`);
}

export async function queryOne({userId}) {
  return request(`${whiteUser}/${userId}`);
}

export async function create(params) {
  const options = {
    method: 'POST',
    body: JSON.stringify(params),
  };
  return request(`${whiteUser}`, options);
}

export async function update(params) {
  const options = {
    method: 'PUT',
    body: JSON.stringify(params),
  };
  return request(`${whiteUser}`, options);
}

export async function remove(params) {
  const options = {
    method: 'DELETE',
    body: JSON.stringify(params),
  };
  return request(`${whiteUser}`, options);
}
